Package org.h2gis.functions.spatial.properties

# Class ST_Dimension

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.properties.ST_Dimension

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_Dimension extends org.h2gis.api.DeterministicScalarFunction
Get dimension of a geometry 0 for a Point, 1 for a line and 2 for a polygon.

Author:
  Nicolas Fortin

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_Dimension()`
Default constructor

## Method Summary

Modifier and Type
Method
Description
`static Integer`
`getDimension(org.locationtech.jts.geom.Geometry geometry)`
`String`
`getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_Dimension

public ST_Dimension()
Default constructor

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### getDimension

public static Integer getDimension(org.locationtech.jts.geom.Geometry geometry)

Parameters:
  `geometry` - Geometry instance
Returns:
  Geometry dimension